# Interface AnalyserTaskContext

@ProviderType public interface AnalyserTaskContext

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getConfiguration()`
Returns the configuration.
`org.apache.sling.feature.Feature`
`getFeature()`
The assembled feature.
`FeatureDescriptor`
`getFeatureDescriptor()`
The feature descriptor.
`org.apache.sling.feature.builder.FeatureProvider`
`getFeatureProvider()`
Returns a Feature Provider, if present.
`BundleDescriptor`
`getFrameworkDescriptor()`
The framework descriptor
`void`
`reportArtifactError(org.apache.sling.feature.ArtifactId artifactId, String message)`
This method is invoked by a `AnalyserTask` to report an artifact error.
`void`
`reportArtifactWarning(org.apache.sling.feature.ArtifactId artifactId, String message)`
This method is invoked by a `AnalyserTask` to report an artifact warning.
`void`
`reportConfigurationError(org.apache.sling.feature.Configuration cfg, String message)`
This method is invoked by a `AnalyserTask` to report a configuration error.
`void`
`reportConfigurationWarning(org.apache.sling.feature.Configuration cfg, String message)`
This method is invoked by a `AnalyserTask` to report a configuration warning.
`void`
`reportError(String message)`
This method is invoked by a `AnalyserTask` to report a global error.
`void`
`reportExtensionError(String extension, String message)`
This method is invoked by a `AnalyserTask` to report an extension error.
`void`
`reportExtensionWarning(String extension, String message)`
This method is invoked by a `AnalyserTask` to report an extension warning.
`void`
`reportWarning(String message)`
This method is invoked by a `AnalyserTask` to report a global warning.

## Method Details

### getFeature

org.apache.sling.feature.Feature getFeature()
The assembled feature.

Returns:
  The feature.

### getFeatureDescriptor

FeatureDescriptor getFeatureDescriptor()
The feature descriptor.

Returns:
  the descriptor.

### getFeatureProvider

org.apache.sling.feature.builder.FeatureProvider getFeatureProvider()
Returns a Feature Provider, if present.

Returns:
  the feature provider to use, or `null` if not present.

### getFrameworkDescriptor

BundleDescriptor getFrameworkDescriptor()
The framework descriptor

Returns:
  the descriptor

### getConfiguration

Map<String,String> getConfiguration()
Returns the configuration.

Returns:
  The configuration map for the analyser task

### reportWarning

void reportWarning(String message)
This method is invoked by a `AnalyserTask` to report a global warning.

Parameters:
  `message` - The message.

### reportArtifactWarning

void reportArtifactWarning(org.apache.sling.feature.ArtifactId artifactId, String message)
This method is invoked by a `AnalyserTask` to report an artifact warning.

Parameters:
  `artifactId` - the artifactid
  `message` - The message.

### reportArtifactError

void reportArtifactError(org.apache.sling.feature.ArtifactId artifactId, String message)
This method is invoked by a `AnalyserTask` to report an artifact error.

Parameters:
  `artifactId` - the artifactid
  `message` - The message.

### reportExtensionWarning

void reportExtensionWarning(String extension, String message)
This method is invoked by a `AnalyserTask` to report an extension warning.

Parameters:
  `extension` - the extension.
  `message` - The message.

### reportExtensionError

void reportExtensionError(String extension, String message)
This method is invoked by a `AnalyserTask` to report an extension error.

Parameters:
  `extension` - the extension.
  `message` - The message.

### reportConfigurationWarning

void reportConfigurationWarning(org.apache.sling.feature.Configuration cfg, String message)
This method is invoked by a `AnalyserTask` to report a configuration warning.

Parameters:
  `cfg` - the configuration.
  `message` - The message.
Since:
  1.3.0

### reportConfigurationError

void reportConfigurationError(org.apache.sling.feature.Configuration cfg, String message)
This method is invoked by a `AnalyserTask` to report a configuration error.

Parameters:
  `cfg` - the configuration.
  `message` - The message.
Since:
  1.3.0

### reportError

void reportError(String message)
This method is invoked by a `AnalyserTask` to report a global error.

Parameters:
  `message` - The message.